Subject: RTL 8139 stops RX after receiving a jumbo frame

From: John Zielinski <[email-masked]>
Date: Sat, 25 Feb 2006 23:23:47 -0500

I was testing a patch for the VIA Velocity adapter and accidentally 
pinged a jumbo packet to 192.168.0.1 instead of 192.168.0.10.  The 
machine I pinged is my Linux firewall box with a RTL 8139 card (8139 rev 
K chip).  When my internet connection went down I tried pinging the 
firewall with regular sized packets and it wouldn't respond.  I had to 
ifdown/ifup the interface to get things going again.  The output from 
ifconfig shows I had an overrun.

I'm replacing that card with a VIA Velocity card as I'm upgrading my 
entire network to GigE but a friend of mine is only doing a partial 
upgrade and will have several boxes with RTL 8139's still in them.  I'm 
going to move the RTL card into my test box for further testing.

I'm surprised that the switch actually let the jumbo packet through onto 
a 100Mbit link.  I'm going to see if I can find a non RTL 8139 card in 
my parts bin and see what that one does.

What's the normal behavior for overruns on an interface?